Bug 209856 - Does not build from source with sys/ptrace.h from glibc-2.5
Summary: Does not build from source with sys/ptrace.h from glibc-2.5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-06 22:46 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.5.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 03:06:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-4.5.14-alt-PT_GETSIGINFO.patch (623 bytes, patch)
2006-10-06 22:48 UTC, Dmitry V. Levin
no flags Details | Diff

Description Dmitry V. Levin 2006-10-06 22:46:35 UTC
The sys/ptrace.h from glibc-2.5 defines PT_GETSIGINFO macro which breaks strace build.

Comment 1 Dmitry V. Levin 2006-10-06 22:48:54 UTC
Created attachment 137959 [details]
strace-4.5.14-alt-PT_GETSIGINFO.patch

Proposed fix.

Comment 2 Dmitry V. Levin 2006-11-26 11:42:49 UTC
Fixed upstream.

Comment 3 Roland McGrath 2007-01-11 11:15:12 UTC
these bugs are fixed upstream in the coming 4.5.15 release

Comment 4 Roland McGrath 2007-01-17 03:06:13 UTC
4.5.15 in rawhide and in updates for fc5 and fc6 fixes this.


Note You need to log in before you can comment on or make changes to this bug.